import React from 'react';
import AntDesign from 'react-native-vector-icons/AntDesign';
import Feather from 'react-native-vector-icons/Feather';
import SimpleLineIcons from 'react-native-vector-icons/SimpleLineIcons';
import MaterialCommunityIcons from 'react-native-vector-icons/MaterialCommunityIcons';
import MaterialIcons from 'react-native-vector-icons/MaterialIcons';
import Entypo from 'react-native-vector-icons/Entypo';

import { Svg, Path, Circle } from 'react-native-svg';

import { BLACK, BLUE, DARK_BLUE, ERROR } from '../../globals/Theme';

export const ArrowLeftIcon = props => (
  <AntDesign name="arrowleft" color={BLACK} {...props} />
);

export const EyePasswordIcon = props => (
  <AntDesign name="eye" color={BLACK} {...props} />
);

export const EyeoPasswordIcon = props => (
  <AntDesign name="eyeo" color={BLACK} {...props} />
);

export const AddUserIcon = props => (
  <AntDesign name="adduser" color={BLUE} {...props} />
);

export const BellIcon = props => (
  <AntDesign name="bells" color={DARK_BLUE} {...props} />
);

export const CloseIcon = props => (
  <AntDesign name="close" color={DARK_BLUE} {...props} />
);

export const CarretRightIcon = props => (
  <Entypo name="chevron-thin-right" color={BLACK} {...props} />
);

export const CarretDownIcon = props => (
  <Entypo name="chevron-thin-down" color={BLACK} {...props} />
);

export const CarretUpIcon = props => (
  <Entypo name="chevron-thin-up" color={BLACK} {...props} />
);


export const EyeIcon = props => (
  <Feather name="eye" color={DARK_BLUE} {...props} />
);

export const EyeOffIcon = props => (
  <Feather name="eye-off" color={DARK_BLUE} {...props} />
);

export const LocationIcon = props => (
  <SimpleLineIcons name="location-pin" color={BLACK} {...props} />
);

export const NetworkOffIcon = props => (
  <MaterialCommunityIcons
    name="cloud-off-outline"
    color={DARK_BLUE}
    {...props}
  />
);

export const OfflineIcon = props => (
  <Feather name="wifi-off" color={DARK_BLUE} {...props} />
);

export const WarningRootedMobile = props => (
  <MaterialIcons name="mobile-off" color={DARK_BLUE} {...props} />
);

// SVG Icons

export const CardPersonalizedIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 16 16"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M.973 3.228c0-.405.328-.733.733-.733h12.573c.405 0 .733.328.733.733v9.56a.733.733 0 01-.733.733H1.706a.733.733 0 01-.733-.734V3.228zm1.133.4v8.76h11.773v-8.76H2.106zm10.56 7.551H3.294v-1.133h9.37v1.133zM8.878 4.81a.7.7 0 00-.7.7v2.735a.7.7 0 00.7.7h3.005a.7.7 0 00.7-.7V5.51a.7.7 0 00-.7-.7H8.879zm.433 3.001V5.944h2.138V7.81H9.312z"
      fill="#2A3D99"
    />
  </Svg>
);

export const AtmIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    style={{ alignSelf: 'center' }}
    viewBox="0 0 48 48"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Circle cx={24} cy={24} r={24} fill="#DBDBDB" />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M17.025 16.5c0-.539.437-.975.975-.975h12c.538 0 .975.436.975.975V30a.975.975 0 01-.975.975H18a.975.975 0 01-.975-.975V16.5zm1.95.975v11.55h10.05v-11.55h-10.05zM16.002 33.664c0-.55.447-.997.998-.997h14a.998.998 0 010 1.995H17a.998.998 0 01-.998-.998z"
      fill="#201751"
    />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M14.498 14.497v5.207H15.6a.998.998 0 010 1.995h-1.4c-.964 0-1.697-.796-1.697-1.718v-5.76c0-.923.733-1.719 1.697-1.719h19.6c.964 0 1.698.796 1.698 1.718v5.761c0 .922-.734 1.718-1.698 1.718h-1.4a.998.998 0 010-1.995h1.102v-5.207H14.497z"
      fill="#201751"
    />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M19.562 16.155a.998.998 0 01.705-.292h7.467c.55 0 .997.447.997.998 0 .812-.25 1.998-1.019 3.006-.805 1.055-2.12 1.832-4.051 1.832-1.738 0-2.887-.849-3.557-1.902-.636-1-.834-2.16-.834-2.936 0-.265.105-.518.292-.706zm1.848 1.703c.083.297.206.598.377.868.348.547.896.978 1.874.978 1.328 0 2.049-.503 2.465-1.048.192-.25.33-.527.427-.798H21.41z"
      fill="#201751"
    />
  </Svg>
);

export const MembershipIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 16 16"
    style={{ marginLeft: 5 }}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M13.333 1.333H2.667c-.74 0-1.334.594-1.334 1.334V10c0 .74.594 1.334 1.334 1.334h2.666v3.333L8 13.334l2.667 1.333v-3.333h2.666c.74 0 1.334-.594 1.334-1.334V2.667c0-.74-.594-1.333-1.334-1.333zm0 8.667H2.667V8.667h10.666V10zM2.667 6.667h10.666V3.334c0-.367-.3-.667-.666-.667H3.333c-.366 0-.666.3-.666.667v3.333z"
      fill="#2A3D99"
    />
  </Svg>
);

export const InfoOutlineIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 16 16"
    style={{ marginLeft: 5 }}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M8 1.333A6.67 6.67 0 001.333 8 6.67 6.67 0 008 14.667 6.67 6.67 0 0014.667 8 6.67 6.67 0 008 1.333zm-.667 3.334V6h1.334V4.667H7.333zm1.334 6c0 .367-.3.667-.667.667a.669.669 0 01-.667-.667V8c0-.367.3-.667.667-.667.367 0 .667.3.667.667v2.667zM2.667 8A5.34 5.34 0 008 13.334 5.34 5.34 0 0013.333 8 5.34 5.34 0 008 2.667 5.34 5.34 0 002.667 8z"
      fill="#2A3D99"
    />
  </Svg>
);

export const LockIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 18 19"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M14.442 8.635h-1.156v-3.81a2.177 2.177 0 00-2.177-2.177H6.89a2.177 2.177 0 00-2.177 2.177v3.81H3.557a.544.544 0 00-.544.544v6.531c0 .301.243.545.544.545h10.885a.544.544 0 00.545-.545V9.18a.544.544 0 00-.545-.545zM5.94 4.825c0-.525.426-.952.952-.952h4.218c.525 0 .952.427.952.952v3.81H5.94v-3.81zm7.823 10.205H4.238V9.86h9.524v5.17zm-5.238-2.364v.901c0 .075.06.136.136.136h.68a.137.137 0 00.136-.136v-.901a.816.816 0 10-.952 0z"
      fill="#fff"
    />
  </Svg>
);

// Home Tab

export const HomeTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M22.288 11.953c0-.002-.002-.002-.002-.005l-.042-.049c-.003-.002-.005-.007-.01-.01l-.051-.055-9.056-9.05-.607-.607a.738.738 0 00-1.041 0l-9.663 9.659a1.49 1.49 0 00-.375.623l-.014.05-.007.025-.007.029c-.005.016-.007.032-.01.049 0 .002 0 .007-.002.01-.014.07-.021.14-.024.212v.078c0 .011 0 .023.003.035 0 .012 0 .021.002.033l.002.035c0 .014.003.028.005.042l.002.021.008.059v.002a1.52 1.52 0 001.5 1.254h.996v7.638h16.211v-7.633h1.017c.202 0 .397-.04.575-.115a1.492 1.492 0 00.926-1.387c0-.345-.118-.676-.336-.943zm-8.976 8.39h-2.625v-4.78h2.625v4.78zm5.107-7.633v7.634h-3.607V15a.937.937 0 00-.938-.937h-3.75a.937.937 0 00-.937.937v5.344H5.58V12.71H3.33l8.672-8.665.541.542 8.128 8.123H18.42z"
      fill="#201751"
    />
  </Svg>
);

export const HomeActiveTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M12.003 4.045L3.331 12.71h2.25v7.634h3.607V15c0-.518.42-.937.938-.937h3.75c.518 0 .937.42.937.937v5.344h3.607V12.71h2.253l-8.129-8.123-.541-.542zm10.184 9.912zm-20.79-.813c.118.71.737 1.254 1.48 1.254h.02c-.747 0-1.38-.54-1.5-1.254zm-.02-.246v-.045.045zm.002-.061z"
      fill="#F3E602"
    />
    <Path
      d="M22.288 11.953c0-.002-.002-.002-.002-.005l-.042-.049c-.003-.002-.005-.007-.01-.01l-.051-.055-9.056-9.05-.607-.607a.738.738 0 00-1.041 0l-9.663 9.659a1.49 1.49 0 00-.375.623l-.014.05-.007.025-.007.029c-.005.016-.007.032-.01.049 0 .002 0 .007-.002.01-.014.07-.021.14-.024.212v.078c0 .011 0 .023.003.035 0 .012 0 .021.002.033l.002.035c0 .014.003.028.005.042l.002.021.008.059v.002a1.52 1.52 0 001.5 1.254h.996v7.638h16.211v-7.633h1.017c.202 0 .397-.04.575-.115a1.492 1.492 0 00.926-1.387c0-.345-.118-.676-.336-.943zm-8.976 8.39h-2.625v-4.78h2.625v4.78zm5.107-7.633v7.634h-3.607V15a.937.937 0 00-.938-.937h-3.75a.937.937 0 00-.937.937v5.344H5.58V12.71H3.33l8.672-8.665.541.542 8.128 8.123H18.42z"
      fill="#201751"
    />
  </Svg>
);

export const WidthrawIcon = props => (
  <Svg
    width={48}
    height={48}
    viewBox="0 0 48 48"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Circle cx={24} cy={24} r={24} fill="#F1F1F1" />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M17.025 16.5c0-.539.436-.975.975-.975h12c.538 0 .975.436.975.975V30a.975.975 0 01-.975.975H18a.975.975 0 01-.975-.975V16.5zm1.95.975v11.55h10.05v-11.55h-10.05zM16.002 33.664c0-.55.447-.997.998-.997h14a.998.998 0 010 1.995H17a.998.998 0 01-.998-.998z"
      fill="#201751"
    />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M14.497 14.497v5.207H15.6a.998.998 0 010 1.995h-1.4c-.964 0-1.698-.796-1.698-1.718v-5.76c0-.923.734-1.719 1.698-1.719h19.6c.964 0 1.697.796 1.697 1.718v5.761c0 .922-.733 1.718-1.697 1.718h-1.4a.998.998 0 010-1.995h1.102v-5.207H14.497z"
      fill="#201751"
    />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M19.562 16.155a.998.998 0 01.705-.292h7.467c.55 0 .997.447.997.998 0 .812-.25 1.998-1.019 3.006-.805 1.055-2.12 1.832-4.051 1.832-1.738 0-2.887-.849-3.557-1.902-.636-1-.834-2.16-.834-2.936 0-.265.105-.518.292-.706zm1.848 1.703c.083.297.206.598.377.868.348.547.896.978 1.874.978 1.328 0 2.049-.503 2.465-1.048.192-.25.33-.527.427-.798H21.41z"
      fill="#201751"
    />
  </Svg>
);

// TransferFunds Tab

export const TransferFundsTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M20.625 2.625H3.375a.75.75 0 00-.75.75v17.25c0 .415.335.75.75.75h17.25a.75.75 0 00.75-.75V3.375a.75.75 0 00-.75-.75zM19.687 13.5h-7.312v-3h7.313v3zm0 6.188H4.313V4.313h15.375V9h-8.062a.75.75 0 00-.75.75v4.5c0 .415.335.75.75.75h8.063v4.688zM13.595 12a.937.937 0 101.875 0 .937.937 0 00-1.875 0z"
      fill="#201751"
    />
  </Svg>
);

export const TransferFundsActiveTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M20.625 2.625H3.375a.75.75 0 00-.75.75v17.25c0 .415.335.75.75.75h17.25a.75.75 0 00.75-.75V3.375a.75.75 0 00-.75-.75zM19.687 13.5h-7.312v-3h7.313v3zm0-4.5h-8.062a.75.75 0 00-.75.75v4.5c0 .415.335.75.75.75h8.063v4.688H4.313V4.313h15.375V9z"
      fill="#201751"
    />
    <Path
      d="M12.375 13.5h7.313v-3h-7.313v3zm2.156-2.438a.937.937 0 110 1.875.937.937 0 010-1.874z"
      fill="#F3E602"
    />
    <Path
      d="M13.594 12a.937.937 0 101.875 0 .937.937 0 00-1.875 0z"
      fill="#201751"
    />
    <Path
      d="M4.313 19.688h15.375V15h-8.063a.75.75 0 01-.75-.75v-4.5a.75.75 0 01.75-.75h8.063V4.312H4.313v15.375z"
      fill="#F3E602"
    />
  </Svg>
);

// PayBills Tab

export const PayBillsTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M16.125 7.313V6.188A.188.188 0 0015.937 6h-9a.188.188 0 00-.187.188v1.125c0 .103.084.187.188.187h9a.188.188 0 00.187-.188zM6.937 9.374a.188.188 0 00-.187.188v1.124c0 .104.084.188.188.188h4.312a.188.188 0 00.188-.188V9.563a.188.188 0 00-.188-.188H6.937zm8.813 2.719a5.062 5.062 0 100 10.124 5.062 5.062 0 000-10.124zm2.52 7.582a3.54 3.54 0 01-2.52 1.043 3.54 3.54 0 01-2.52-1.043 3.54 3.54 0 01-1.043-2.52c0-.951.37-1.847 1.043-2.52a3.54 3.54 0 012.52-1.042c.952 0 1.847.37 2.52 1.043a3.54 3.54 0 011.043 2.52 3.54 3.54 0 01-1.043 2.519zm-.434-4.301h-1.038a.186.186 0 00-.153.077l-1.488 2.058-.541-.748a.184.184 0 00-.153-.077H13.43a.188.188 0 00-.153.298l1.73 2.393a.186.186 0 00.302 0l2.677-3.703a.187.187 0 00-.15-.298zm-7.523 4.594H4.875v-16.5H18v8.062c0 .103.084.188.188.188H19.5a.188.188 0 00.188-.188v-9a.75.75 0 00-.75-.75h-15a.75.75 0 00-.75.75v18.375c0 .415.335.75.75.75h6.374a.188.188 0 00.188-.187v-1.313a.188.188 0 00-.188-.187z"
      fill="#201751"
    />
  </Svg>
);

export const PayBillsActiveTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M4.313 19.688h15.375V15h-8.063a.75.75 0 01-.75-.75v-4.5a.75.75 0 01.75-.75h8.063V4.312H4.313v15.375z"
      fill="#F3E602"
    />
    <Path
      d="M12.375 13.5h7.313v-3h-7.313v3zm2.156-2.438a.937.937 0 110 1.875.937.937 0 010-1.874z"
      fill="#F3E602"
    />
    <Path d="M10,10L10,20L20,20L20,2Z" fill="#F3E602" />
    <Path
      d="M16.125 7.313V6.188A.188.188 0 0015.937 6h-9a.188.188 0 00-.187.188v1.125c0 .103.084.187.188.187h9a.188.188 0 00.187-.188zM6.937 9.374a.188.188 0 00-.187.188v1.124c0 .104.084.188.188.188h4.312a.188.188 0 00.188-.188V9.563a.188.188 0 00-.188-.188H6.937zm8.813 2.719a5.062 5.062 0 100 10.124 5.062 5.062 0 000-10.124zm2.52 7.582a3.54 3.54 0 01-2.52 1.043 3.54 3.54 0 01-2.52-1.043 3.54 3.54 0 01-1.043-2.52c0-.951.37-1.847 1.043-2.52a3.54 3.54 0 012.52-1.042c.952 0 1.847.37 2.52 1.043a3.54 3.54 0 011.043 2.52 3.54 3.54 0 01-1.043 2.519zm-.434-4.301h-1.038a.186.186 0 00-.153.077l-1.488 2.058-.541-.748a.184.184 0 00-.153-.077H13.43a.188.188 0 00-.153.298l1.73 2.393a.186.186 0 00.302 0l2.677-3.703a.187.187 0 00-.15-.298zm-7.523 4.594H4.875v-16.5H18v8.062c0 .103.084.188.188.188H19.5a.188.188 0 00.188-.188v-9a.75.75 0 00-.75-.75h-15a.75.75 0 00-.75.75v18.375c0 .415.335.75.75.75h6.374a.188.188 0 00.188-.187v-1.313a.188.188 0 00-.188-.187z"
      fill="#201751"
    />
  </Svg>
);

// BuyLoad Tab

export const BuyLoadTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M17.438 1.453H6.563c-.828 0-1.5.673-1.5 1.5v18c0 .828.672 1.5 1.5 1.5h10.875c.827 0 1.5-.672 1.5-1.5v-18c0-.827-.673-1.5-1.5-1.5zm-.188 19.313H6.75V3.14h10.5v17.625zm-6.188-2.391a.938.938 0 101.876 0 .938.938 0 00-1.876 0z"
      fill="#201751"
    />
  </Svg>
);

export const BuyLoadActiveTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M4.313 19.688h15.375V15h-8.063a.75.75 0 01-.75-.75v-4.5a.75.75 0 01.75-.75h8.063V4.312H4.313v15.375z"
      fill="#F3E602"
    />
    <Path d="M10,10L10,20L20,20L20,2Z" fill="#F3E602" />
    <Path
      d="M17.438 1.453H6.563c-.828 0-1.5.673-1.5 1.5v18c0 .828.672 1.5 1.5 1.5h10.875c.827 0 1.5-.672 1.5-1.5v-18c0-.827-.673-1.5-1.5-1.5zm-.188 19.313H6.75V3.14h10.5v17.625zm-6.188-2.391a.938.938 0 101.876 0 .938.938 0 00-1.876 0z"
      fill="#201751"
    />
  </Svg>
);

// More Tab

export const MoreTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M7 12a2 2 0 11-4 0 2 2 0 014 0zm5 2a2 2 0 100-4 2 2 0 000 4zm7 0a2 2 0 100-4 2 2 0 000 4z"
      fill="#201751"
    />
  </Svg>
);

export const MoreActiveTabIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path d="M12 14a2 2 0 100-4 2 2 0 000 4z" fill="#201751" />
    <Path d="M12 13a1 1 0 100-2 1 1 0 000 2z" fill="#F3E602" />
    <Path
      d="M19 14a2 2 0 100-4 2 2 0 000 4zM5 14a2 2 0 100-4 2 2 0 000 4z"
      fill="#201751"
    />
    <Path
      d="M19 13a1 1 0 100-2 1 1 0 000 2zM5 13a1 1 0 100-2 1 1 0 000 2z"
      fill="#F3E602"
    />
  </Svg>
);

export const LoansIcon = props => (
  <Svg
    width={24}
    height={24}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M1.5 13.124c.538 0 .975.437.975.976v8.4a.975.975 0 11-1.95 0v-8.4c0-.539.436-.976.975-.976z"
      fill="#201751"
    />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M.525 15.5c0-.539.436-.975.975-.975h6.3a3.777 3.777 0 013.648 2.8H14.1a3.775 3.775 0 013.775 3.775.975.975 0 01-.975.975H1.5a.975.975 0 110-1.95h14.143a1.824 1.824 0 00-1.543-.85h-3.5a.975.975 0 01-.975-.975A1.825 1.825 0 007.8 16.475H1.5a.975.975 0 01-.975-.975z"
      fill="#201751"
    />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M6.125 18.3c0-.539.437-.975.975-.975h3.5a.975.975 0 110 1.95H7.1a.975.975 0 01-.975-.975zM21.351 2.471H6.848a.15.15 0 00-.15.15v8.257c0 .083.067.15.15.15h14.503a.15.15 0 00.15-.15V2.621a.15.15 0 00-.15-.15zM6.848.521a2.1 2.1 0 00-2.1 2.1v8.257c0 1.16.94 2.1 2.1 2.1h14.503a2.1 2.1 0 002.1-2.1V2.621a2.1 2.1 0 00-2.1-2.1H6.848z"
      fill="#201751"
    />
    <Path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M11.025 6.75a3.075 3.075 0 116.15 0 3.075 3.075 0 01-6.15 0zM14.1 5.625a1.125 1.125 0 100 2.25 1.125 1.125 0 000-2.25z"
      fill="#201751"
    />
  </Svg>
);

export const CardSettingsIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M21.75 3.75H2.25a.75.75 0 00-.75.75v15c0 .415.335.75.75.75h19.5a.75.75 0 00.75-.75v-15a.75.75 0 00-.75-.75zM3.187 5.438h17.625V8.25H3.188V5.437zm17.625 13.125H3.188v-8.25h17.625v8.25zm-5.554-1.5h3.867a.188.188 0 00.188-.188v-1.688a.188.188 0 00-.188-.187h-3.867a.188.188 0 00-.188.188v1.687c0 .103.085.188.188.188z"
      fill="#201751"
    />
  </Svg>
);

export const AccountSettingsIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M21.675 14.665l-1.535-1.312a8.423 8.423 0 000-2.71l1.535-1.312a.752.752 0 00.218-.825l-.021-.06a10.4 10.4 0 00-1.868-3.233l-.042-.05a.753.753 0 00-.823-.222l-1.905.678a8.258 8.258 0 00-2.337-1.35l-.368-1.993a.752.752 0 00-.605-.602l-.063-.012a10.589 10.589 0 00-3.727 0l-.063.012a.751.751 0 00-.605.602l-.37 2.002a8.247 8.247 0 00-2.32 1.345l-1.92-.682a.75.75 0 00-.822.223l-.043.05a10.453 10.453 0 00-1.868 3.231l-.02.061a.753.753 0 00.217.825l1.554 1.327c-.072.44-.108.89-.108 1.338 0 .45.036.9.108 1.338L2.32 14.661a.751.751 0 00-.218.825l.021.06a10.427 10.427 0 001.868 3.233l.043.049a.753.753 0 00.822.223l1.92-.682a8.19 8.19 0 002.32 1.345l.37 2.001a.751.751 0 00.605.603l.063.011c1.233.222 2.495.222 3.727 0l.063-.011a.751.751 0 00.605-.603l.368-1.992a8.2 8.2 0 002.337-1.35l1.905.678a.751.751 0 00.823-.223l.042-.05a10.454 10.454 0 001.868-3.231l.021-.061a.748.748 0 00-.218-.82zm-3.2-3.745a6.632 6.632 0 010 2.161l-.154.94 1.75 1.498c-.265.611-.6 1.19-.998 1.725l-2.175-.771-.735.604a6.55 6.55 0 01-1.859 1.074l-.893.335-.42 2.273a8.848 8.848 0 01-1.992 0l-.42-2.278-.885-.34a6.557 6.557 0 01-1.845-1.07l-.736-.608-2.189.778a8.856 8.856 0 01-.998-1.725l1.77-1.511-.153-.938a6.748 6.748 0 01-.087-1.066c0-.359.028-.718.087-1.067l.152-.937-1.77-1.512c.266-.612.6-1.188 1-1.725l2.188.778.736-.607A6.557 6.557 0 019.694 5.86l.888-.335.42-2.278a8.848 8.848 0 011.992 0l.42 2.273.892.335a6.582 6.582 0 011.859 1.074l.736.604 2.175-.77c.398.536.731 1.115.998 1.724l-1.75 1.498.152.935zM12 7.641a4.125 4.125 0 100 8.25 4.125 4.125 0 000-8.25zm1.856 5.982A2.618 2.618 0 0112 14.39c-.7 0-1.36-.274-1.856-.768a2.616 2.616 0 01-.769-1.857c0-.7.274-1.36.769-1.856A2.606 2.606 0 0112 9.141c.7 0 1.36.272 1.856.769a2.615 2.615 0 01.77 1.856c0 .701-.275 1.36-.77 1.857z"
      fill="#201751"
    />
  </Svg>
);

export const ChatIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M10.875 12a1.125 1.125 0 102.25 0 1.125 1.125 0 00-2.25 0zm4.688 0a1.125 1.125 0 102.25 0 1.125 1.125 0 00-2.25 0zm-9.375 0a1.125 1.125 0 102.25 0 1.125 1.125 0 00-2.25 0zm15.497-4.069a10.505 10.505 0 00-5.616-5.615A10.45 10.45 0 0012 1.5h-.047A10.475 10.475 0 001.5 12.05a10.533 10.533 0 001.125 4.684v3.563a1.078 1.078 0 001.078 1.078h3.565a10.533 10.533 0 004.685 1.125h.05c1.403 0 2.765-.272 4.047-.804a10.417 10.417 0 003.347-2.231 10.473 10.473 0 003.103-7.418 10.459 10.459 0 00-.816-4.116zm-3.542 10.266A8.673 8.673 0 0112 20.719h-.04a8.75 8.75 0 01-4.057-1.02l-.197-.105h-3.3v-3.3l-.105-.197a8.75 8.75 0 01-1.02-4.057 8.665 8.665 0 012.522-6.183 8.653 8.653 0 016.16-2.576h.04c1.171 0 2.308.228 3.38.678a8.662 8.662 0 012.788 1.875 8.683 8.683 0 012.552 6.206 8.686 8.686 0 01-2.58 6.157z"
      fill="#201751"
    />
  </Svg>
);

export const LogoutIcon = props => (
  <Svg
    width={props.size}
    height={props.size}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M20.82 17.752h-1.261a.182.182 0 00-.18.18v1.449H4.618V4.62h14.762v1.448c0 .098.081.18.18.18h1.26a.18.18 0 00.181-.18V3.72a.718.718 0 00-.72-.72H3.72a.718.718 0 00-.72.72v16.56c0 .399.321.72.72.72h16.56c.399 0 .72-.321.72-.72v-2.348a.18.18 0 00-.18-.18zm.32-6.596h-7.359V9.375a.188.188 0 00-.304-.148l-3.326 2.625a.188.188 0 000 .296l3.326 2.625c.124.098.304.009.304-.148v-1.781h7.36a.188.188 0 00.187-.188v-1.312a.188.188 0 00-.187-.188z"
      fill="#201751"
    />
  </Svg>
);

export const RadioSelectedIcon = props => (
  <Svg
    width="17"
    height="17"
    viewBox="0 0 12 12"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Circle cx="6" cy="6" r="6" fill="#2A3D99" />
    <Circle cx="6.1001" cy="6" r="2.5" fill="white" />
  </Svg>
);

export const DropdownIcon = props => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    width="24"
    height="24"
    viewBox="0 0 24 24"
    fill="none"
    {...props}>
    <Path
      d="M12 13.6829L18.3492 8.24076C18.7686 7.88134 19.3999 7.9299 19.7593 8.34923C20.1187 8.76855 20.0701 9.39985 19.6508 9.75927L12.6508 15.7593C12.2763 16.0803 11.7237 16.0803 11.3492 15.7593L4.34923 9.75927C3.9299 9.39985 3.88134 8.76855 4.24076 8.34923C4.60018 7.9299 5.23148 7.88134 5.65081 8.24076L12 13.6829Z"
      fill="#828894"
    />
  </Svg>
);
